For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Incoming webhook endpoints for third-party integrations.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
204

Successfully created user based on the Authorization header, and Firebase data.

No content

post/webhooks/users/current
POST /apis/v2/webhooks/users/current HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

Successfully created user based on the Authorization header, and Firebase data.

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
clipIdstringWrite-onlyRequired
successbooleanWrite-onlyRequired
cameraIdstringWrite-onlyRequired
urlstringWrite-onlyRequired
hlsUrlstringWrite-onlyRequired
thumbnailSmallUrlstringWrite-onlyRequired
thumbnailMediumUrlstringWrite-onlyRequired
thumbnailLargeUrlstringWrite-onlyRequired
Responses
200

Successfully updated a replay status.

No content

post/webhooks/replays/on-premise/status
POST /apis/v2/webhooks/replays/on-premise/status HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "clipId": "text",
  "success": true,
  "cameraId": "text",
  "url": "text",
  "hlsUrl": "text",
  "thumbnailSmallUrl": "text",
  "thumbnailMediumUrl": "text",
  "thumbnailLargeUrl": "text"
}
200

Successfully updated a replay status.

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
successbooleanWrite-onlyRequired
idstringWrite-onlyRequired
errorsstring[]Write-onlyRequired
Responses
200

Succesfully cleaned up replays.

No content

post/webhooks/replays/on-premise/cleanup
POST /apis/v2/webhooks/replays/on-premise/cleanup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "success": true,
  "id": "text",
  "errors": [
    "text"
  ]
}
200

Succesfully cleaned up replays.

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
stripe-signaturestringRequired
Responses
204

Successfully processed the Stripe request.

No content

post/webhooks/stripe
POST /apis/v2/webhooks/stripe HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
stripe-signature: text
Accept: */*
204

Successfully processed the Stripe request.

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
stripe-signaturestringRequired
Responses
204

Successfully processed the Stripe request.

No content

post/webhooks/stripe/connect
POST /apis/v2/webhooks/stripe/connect HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
stripe-signature: text
Accept: */*
204

Successfully processed the Stripe request.

No content

post
Body
datastringWrite-onlyRequired
aesKeystringWrite-onlyRequired
aesIvstringWrite-onlyRequired
Responses
200

Successfully processed the notifications request.

No content

post/webhooks/discourse/notifications
POST /apis/v2/webhooks/discourse/notifications HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "data": "text",
  "aesKey": "text",
  "aesIv": "text"
}

No content

Last updated

Was this helpful?